db.describe(1)

NAME
db.describe - Describe a table (in detail).

KEYWORDS
database, SQL

SYNOPSIS
db.describe
db.describe help
db.describe [-c] table=string [driver=string] [database=string]

  Flags:

-c  print column names only instead of full column descriptions

  Parameters:

table=string
    table name

driver=string
    driver name Options: dbf,pg,ogr

database=string
    database name

DESCRIPTION
db.describe displays table information. If parameter -c is used only column names instead of full column descriptions is given.

NOTE
If parameters for database connection are already set with db.connect, they are taken as default values and do not need to be spcified each time.

EXAMPLE
db.describe -c table=test driver=dbf
ncols:2
Column 1: CAT
Column 2: BACK
Column 3: TIME
db.describe table=test
column:CAT
description:
type:INTEGER
len:11
scale:0
precision:10
default:0
nullok:yes
select:yes
update:yes
[...]

SEE ALSO
db.columns, db.droptable, db.execute, db.login, db.tables, GRASS SQL interface

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/12/10 17:49:50 $

Full index